# README for Group Assignment 2.3

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/): Week 2.3, Friday, Nov 29, 2024.*

The focus of this assignment is on signal processing, and specifically on spectral analysis (i.e. analysis of signals in the frequency domain).

Your primary objective is to complete all tasks in the notebook `Analysis.ipynb`. Unlike other weeks, for this GA it is not required to put your answers in a `Report.md` file (yay!).** Make sure you use the space provided in the notebooks to complete the tasks, and that the output is included in the notebook when you commit and push it to GitHub. 

### Overview of material

- this `README.md` with instructions
- `Analysis.ipynb`, the Jupyter notebook with description and tasks, to be used for actual coding
- `cantileverbeam_acc50Hz.csv`, data file with acceleration measurements from the cantilever beam (tasks 7-9)
- `CSIRO_Alt_seas_inc.txt`, data file with Global Mean Sea Level measurements (task 10; optional)
- [Cantilever Beam Experiment Video](https://youtu.be/o4moRwvlBLU?si=aKelBMWm3HB2Of26): a short supplementary one minute movie illustrating the cantilever-beam experiment.

You can complete this assignment with the `mude-base` environment.

Grading and submission is identical to previous weeks.

## Task Overview

As mentioned above: there is no `Report.md`, only a notebook!

That said, we strongly **dis**courage you from working on this project in smaller sub-teams. The Tasks build on each other sequentially, so skipping ahead to a later task will only result in confusion!

**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2024 <a rel="MUDE" href="http://mude.citg.tudelft.nl/">MUDE</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">CC BY 4.0 License</a>.