# README for Group Assignment 2.5

*[CEGM1000 MUDE](http://mude.citg.tudelft.nl/): Week 2.5, Friday, Dec 13th, 2024.**

The focus of this assignment is on applying two different methods for optimization on a road network design problem. Part of the background material in the notebooks was already available in Chapter 5 in the textbook.

## Overview of material

- `README.md` (this file)
- `Report.md`, primary file in which you write your answers to some questions and eventually copy plots from the notebooks. Typically, a short, one-line answer is sufficient, but please include a short reasoning, justification or argumentation. Remember to use Markdown features to clearly indicate your answers for each question below.
- `Analysis_LP.ipynb`, the notebook in which you apply a mixed integer linear program (MILP) to a road network design problem (NDP).
- `Analysis_GA.ipynb`, the notebook in which you apply a genetic algorithm (GA) to the same road network design problem (NDP).
- a subdirectory `./utils` containing some functions for visualization (which you don't need to open).
- a subdirectory `./figs` containing some figures included in the notebooks (which you don't need to open).
- a subdirectory `./input` containing data files 
- a `.gitignore` file preventing your imported data in the `./input` subdirectory being pushed to Gitlab.

## Python Environments

You can run all of the notebooks for today in the environment `mude-week-2-5` which you've been using during the workshop this week (WS13). In particular, it includes the optimization packages `pymoo` and `gurobipy`. The non-Python part of the software Gurobi was installed as part of PA 2.4.

## Task Overview
ADD TASK OVERVIEW


**End of file.**

<span style="font-size: 75%">
&copy; Copyright 2023 <a rel="MUDE Team" href="https://studiegids.tudelft.nl/a101_displayCourse.do?course_id=65595">MUDE Teaching Team</a>, TU Delft. This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY-NC-SA 4.0 License</a>.
